Bug 422821 - Crash when editing presets (plus other error messages
Crash when editing presets (plus other error messages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnomeradio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 22:57 EST by Need Real Name
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: 1.7-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 14:52:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-12-12 22:57:37 EST
Description of problem:
Whenever I try to edit the name field of the preset stations, I get a FATAL CRASH.

The following error message is echoed to standard output:
gnomeradio-ERROR **: file prefs.c: line 417 (name_cell_edited_cb): assertion
failed: (mom_ps < g_list_length(menuitems))
aborting...
37474992-ccf7-6322-46195368-169bc129 is dumped

The bug reporting tool gives the following additional information:

Version-Release number of selected component (if applicable):
Distribution: Fedora release 8 (Werewolf)
Gnome Release: 2.20.2 2007-11-27 (Red Hat, Inc)
BugBuddy Version: 2.20.1

System: Linux 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 18:51:08 EST 2007 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout:
0 it_real_value: 0 frequency: 0



----------- .xsession-errors (4576 sec old) ---------------------
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
AUDIO: 48000 Hz, 2 ch, s16le, 64.0 kbit/4.17% (ratio: 8000->192000)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
[AO ESD] latency: [server: 0.19s, net: 0.00s] (adjust 0.19s)
AO: [esd] 44100Hz 2ch s16le (2 bytes per sample)
Starting playback...
VDec: vo config request - 640 x 352 (preferred colorspace: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.82:1 - prescaling to correct movie aspect.
VO: [x11] 640x352 => 640x352 Planar YV12 
[swscaler @ 0x89a0690]SwScaler: using unscaled yuv420p -> rgb32 special converter
A:   0.0 V:   0.0 A-V:  0.000 ct:  0.000   1/  1 ??% ??% ??,?% 0 0 98%          
A:   0.0 V:   0.0 A-V:  0.004 ct:  0.000   2/  2 ??% ??% ??,?% 0 0 99%          
A:   0.1 V:   0.1 A-V:  0.002 ct:  0.0
...Too much output, ignoring rest...
--------------------------------------------------

Also, not sure if it is related but at startup (before any crash or anything), I
get the following error message echoed to stdout:
(process:11905): GStreamer-WARNING **: The GStreamer function
gst_init_get_option_group() was
        called, but the GLib threading system has not been initialised
        yet, something that must happen before any other GLib function
        is called. The application needs to be fixed so that it calls
           if (!g_thread_supported ()) g_thread_init(NULL);
        as very first thing in its main() function. Please file a bug
        against this application.

Note that the radio itself seems to work fine until I try to set the name field
in the presets.

How reproducible: 100%
- Start gnomeradio
- Go into "Gnomeradio Settings"
- Type something in the name field of one of the presets (create one if none
existig)
- Press close
- CRASH
Comment 1 Need Real Name 2008-01-01 02:27:34 EST
Anyone following this bug????
Let me know if you need more info or have trouble replicating...
Comment 2 Dominik 'Rathann' Mierzejewski 2008-01-03 14:30:26 EST
Yes, sorry for the lack of response, but with the holidays and some real-life
issues, I've been too busy. A clean gdb stacktrace would be nice. Please install
all the relevant *-debuginfo packages (using debuginfo-install tool from
yum-utils), run gdb gnomeradio and reproduce the crash. Then, type `bt full' and
post the output here as an attachment.

Thanks.
Comment 3 Dominik 'Rathann' Mierzejewski 2008-02-02 15:29:15 EST
So, how about that backtrace?
Comment 4 Fedora Update System 2008-02-23 18:43:07 EST
gnomeradio-1.7-4.fc8 has been submitted as an update for Fedora 8
Comment 5 Dominik 'Rathann' Mierzejewski 2008-02-23 18:50:52 EST
I've found a similar bugreport in GNOME bugzilla and found it'd been fixed in
SVN,  so I backported the fix. See if it helps.
Comment 6 Fedora Update System 2008-02-23 19:16:10 EST
gnomeradio-1.7-3.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-25 19:22:03 EST
gnomeradio-1.7-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnomeradio'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1918
Comment 8 Fedora Update System 2008-03-07 14:52:32 EST
gnomeradio-1.7-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-03-07 14:52:44 EST
gnomeradio-1.7-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.